Package com.independentsoft.office.spreadsheet

# Class EmbeddedControlProperties

java.lang.Object
com.independentsoft.office.spreadsheet.EmbeddedControlProperties

public class EmbeddedControlProperties extends Object
The Class EmbeddedControlProperties. Represents the properties of an embedded control (controlPr element, CT_ControlPr).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmbeddedControlProperties()`
  Instantiates a new embedded control properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EmbeddedControlProperties`
  `clone()`
  `String`
  `getAltText()`
  Gets the alternative text of the control.
  `ObjectAnchor`
  `getAnchor()`
  Gets the object anchor.
  `String`
  `getClipboardFormat()`
  Gets the clipboard format of the control image ("pict", "bitmap" or "pictOld").
  `String`
  `getLinkedCell()`
  Gets the cell the control value is linked to.
  `String`
  `getListFillRange()`
  Gets the range used to fill a list control.
  `String`
  `getMacro()`
  Gets the macro attached to the control.
  `String`
  `getRelationshipID()`
  Gets the relationship id of the control image.
  `boolean`
  `isAutoFill()`
  Checks whether the control fill style is automatic.
  `boolean`
  `isAutoLine()`
  Checks whether the control line style is automatic.
  `boolean`
  `isAutoPict()`
  Checks whether the control size is automatic based on its picture.
  `boolean`
  `isDefaultSize()`
  Checks whether the control keeps its default size.
  `boolean`
  `isDisabled()`
  Checks whether the control is disabled.
  `boolean`
  `isLocked()`
  Checks whether the control is locked when the sheet is protected.
  `boolean`
  `isPrint()`
  Checks whether the control is printed.
  `boolean`
  `isRecalcAlways()`
  Checks whether the control recalculates always.
  `boolean`
  `isUiObject()`
  Checks whether the control is a UI-only object.
  `void`
  `setAltText​(String altText)`
  Sets the alternative text of the control.
  `void`
  `setAnchor​(ObjectAnchor anchor)`
  Sets the object anchor.
  `void`
  `setAutoFill​(boolean autoFill)`
  Sets whether the control fill style is automatic.
  `void`
  `setAutoLine​(boolean autoLine)`
  Sets whether the control line style is automatic.
  `void`
  `setAutoPict​(boolean autoPict)`
  Sets whether the control size is automatic based on its picture.
  `void`
  `setClipboardFormat​(String cf)`
  Sets the clipboard format of the control image ("pict", "bitmap" or "pictOld").
  `void`
  `setDefaultSize​(boolean defaultSize)`
  Sets whether the control keeps its default size.
  `void`
  `setDisabled​(boolean disabled)`
  Sets whether the control is disabled.
  `void`
  `setLinkedCell​(String linkedCell)`
  Sets the cell the control value is linked to.
  `void`
  `setListFillRange​(String listFillRange)`
  Sets the range used to fill a list control.
  `void`
  `setLocked​(boolean locked)`
  Sets whether the control is locked when the sheet is protected.
  `void`
  `setMacro​(String macro)`
  Sets the macro attached to the control.
  `void`
  `setPrint​(boolean print)`
  Sets whether the control is printed.
  `void`
  `setRecalcAlways​(boolean recalcAlways)`
  Sets whether the control recalculates always.
  `void`
  `setRelationshipID​(String relationshipID)`
  Sets the relationship id of the control image.
  `void`
  `setUiObject​(boolean uiObject)`
  Sets whether the control is a UI-only object.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EmbeddedControlProperties

    public EmbeddedControlProperties()
    Instantiates a new embedded control properties.

- ## Method Details

  - ### clone

    public EmbeddedControlProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isLocked

    public boolean isLocked()
    Checks whether the control is locked when the sheet is protected.
    Returns:
      true, if the control is locked

  - ### setLocked

    public void setLocked​(boolean locked)
    Sets whether the control is locked when the sheet is protected.
    Parameters:
      `locked` - the new locked

  - ### isDefaultSize

    public boolean isDefaultSize()
    Checks whether the control keeps its default size.
    Returns:
      true, if the control keeps its default size

  - ### setDefaultSize

    public void setDefaultSize​(boolean defaultSize)
    Sets whether the control keeps its default size.
    Parameters:
      `defaultSize` - the new default size

  - ### isPrint

    public boolean isPrint()
    Checks whether the control is printed.
    Returns:
      true, if the control is printed

  - ### setPrint

    public void setPrint​(boolean print)
    Sets whether the control is printed.
    Parameters:
      `print` - the new print

  - ### isDisabled

    public boolean isDisabled()
    Checks whether the control is disabled.
    Returns:
      true, if the control is disabled

  - ### setDisabled

    public void setDisabled​(boolean disabled)
    Sets whether the control is disabled.
    Parameters:
      `disabled` - the new disabled

  - ### isRecalcAlways

    public boolean isRecalcAlways()
    Checks whether the control recalculates always.
    Returns:
      true, if the control recalculates always

  - ### setRecalcAlways

    public void setRecalcAlways​(boolean recalcAlways)
    Sets whether the control recalculates always.
    Parameters:
      `recalcAlways` - the new recalc always

  - ### isUiObject

    public boolean isUiObject()
    Checks whether the control is a UI-only object.
    Returns:
      true, if the control is a UI-only object

  - ### setUiObject

    public void setUiObject​(boolean uiObject)
    Sets whether the control is a UI-only object.
    Parameters:
      `uiObject` - the new ui object

  - ### isAutoFill

    public boolean isAutoFill()
    Checks whether the control fill style is automatic.
    Returns:
      true, if the control fill style is automatic

  - ### setAutoFill

    public void setAutoFill​(boolean autoFill)
    Sets whether the control fill style is automatic.
    Parameters:
      `autoFill` - the new auto fill

  - ### isAutoLine

    public boolean isAutoLine()
    Checks whether the control line style is automatic.
    Returns:
      true, if the control line style is automatic

  - ### setAutoLine

    public void setAutoLine​(boolean autoLine)
    Sets whether the control line style is automatic.
    Parameters:
      `autoLine` - the new auto line

  - ### isAutoPict

    public boolean isAutoPict()
    Checks whether the control size is automatic based on its picture.
    Returns:
      true, if the control size is automatic

  - ### setAutoPict

    public void setAutoPict​(boolean autoPict)
    Sets whether the control size is automatic based on its picture.
    Parameters:
      `autoPict` - the new auto pict

  - ### getMacro

    public String getMacro()
    Gets the macro attached to the control.
    Returns:
      the macro

  - ### setMacro

    public void setMacro​(String macro)
    Sets the macro attached to the control.
    Parameters:
      `macro` - the new macro

  - ### getAltText

    public String getAltText()
    Gets the alternative text of the control.
    Returns:
      the alt text

  - ### setAltText

    public void setAltText​(String altText)
    Sets the alternative text of the control.
    Parameters:
      `altText` - the new alt text

  - ### getLinkedCell

    public String getLinkedCell()
    Gets the cell the control value is linked to.
    Returns:
      the linked cell

  - ### setLinkedCell

    public void setLinkedCell​(String linkedCell)
    Sets the cell the control value is linked to.
    Parameters:
      `linkedCell` - the new linked cell

  - ### getListFillRange

    public String getListFillRange()
    Gets the range used to fill a list control.
    Returns:
      the list fill range

  - ### setListFillRange

    public void setListFillRange​(String listFillRange)
    Sets the range used to fill a list control.
    Parameters:
      `listFillRange` - the new list fill range

  - ### getClipboardFormat

    public String getClipboardFormat()
    Gets the clipboard format of the control image ("pict", "bitmap" or "pictOld").
    Returns:
      the clipboard format

  - ### setClipboardFormat

    public void setClipboardFormat​(String cf)
    Sets the clipboard format of the control image ("pict", "bitmap" or "pictOld").
    Parameters:
      `cf` - the new clipboard format

  - ### getRelationshipID

    public String getRelationshipID()
    Gets the relationship id of the control image.
    Returns:
      the relationship id

  - ### setRelationshipID

    public void setRelationshipID​(String relationshipID)
    Sets the relationship id of the control image.
    Parameters:
      `relationshipID` - the new relationship id

  - ### getAnchor

    public ObjectAnchor getAnchor()
    Gets the object anchor.
    Returns:
      the anchor

  - ### setAnchor

    public void setAnchor​(ObjectAnchor anchor)
    Sets the object anchor.
    Parameters:
      `anchor` - the new anchor